Package org.codehaus.groovy.classgen.asm

# Class OptimizingStatementWriter.StatementMeta

java.lang.Object
org.codehaus.groovy.classgen.asm.OptimizingStatementWriter.StatementMeta

Enclosing class:
  `OptimizingStatementWriter`

public static class OptimizingStatementWriter.StatementMeta extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected VariableExpression`
`declaredVariableExpression`
`protected boolean[]`
`involvedTypes`
`protected MethodNode`
`target`
`protected ClassNode`
`type`

## Constructor Summary

Constructors
Constructor
Description
`StatementMeta()`

## Method Summary

Modifier and Type
Method
Description
`void`
`chainInvolvedTypes(org.codehaus.groovy.classgen.asm.OptimizingStatementWriter.OptimizeFlagsCollector opt)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### target

protected MethodNode target

### type

protected ClassNode type

### declaredVariableExpression

protected VariableExpression declaredVariableExpression

### involvedTypes

protected boolean[] involvedTypes

## Constructor Details

### StatementMeta

public StatementMeta()

## Method Details

### chainInvolvedTypes

public void chainInvolvedTypes(org.codehaus.groovy.classgen.asm.OptimizingStatementWriter.OptimizeFlagsCollector opt)

### toString

public String toString()

Overrides:
  `toString` in class `Object`